### Enumeration

# FwupdPlugin FirmwareExportFlags

#### Declaration

    flags FwupdPlugin.FirmwareExportFlags

#### Description [src]

The firmware export flags.

#### Members

`FU_FIRMWARE_EXPORT_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.6.0
`FU_FIRMWARE_EXPORT_FLAG_INCLUDE_DEBUG`

  Include debug information when exporting.

  - Value: `1`
  - Available since: 1.6.0
`FU_FIRMWARE_EXPORT_FLAG_ASCII_DATA`

  Write the data as UTF-8 strings.

  - Value: `2`
  - Available since: 1.6.0
`FU_FIRMWARE_EXPORT_FLAG_UNKNOWN`

  Unknown flag value.

  - Value: `0`
  - Available since: 2.0.0